Kenya Alien ID
curl --request POST \
--url https://adhere-api.smartcomply.com/api/onboarding/kenya_kyc/alien_id/ \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"alien_id": "<string>"
}
'import requests
url = "https://adhere-api.smartcomply.com/api/onboarding/kenya_kyc/alien_id/"
payload = { "alien_id": "<string>" }
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({alien_id: '<string>'})
};
fetch('https://adhere-api.smartcomply.com/api/onboarding/kenya_kyc/alien_id/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "failed",
"data": [
"<unknown>"
],
"message": "<string>"
}{
"status": "failed",
"message": "Authentication credentials were not provided."
}Kenya
Alien ID
Vérifiez l’identité d’un client à l’aide de son numéro d’identification Alien du Kenya.
POST
/
api
/
onboarding
/
kenya_kyc
/
alien_id
/
Kenya Alien ID
L’endpoint Alien ID valide un numéro d’identification Alien du Kenya et renvoie les détails personnels associés depuis le registre national.
Endpoint
POST /api/onboarding/kenya_kyc/alien_id/
Requête
En-têtes
| En-tête | Valeur | Requis |
|---|---|---|
x-access-token | Votre clé secrète API | Oui |
Content-Type | application/json | Oui |
Paramètres de corps
| Paramètre | Type | Requis | Description |
|---|---|---|---|
alien_id | string | Oui | Le numéro d’identification Alien du client |
Exemple
curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/kenya_kyc/alien_id/" \
-H "x-access-token: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{"alien_id": "1000000"}'
Réponse
200 OK
| Champ | Type | Description |
|---|---|---|
data.valid | boolean | Si la carte d’identité est valide |
data.id_number | string | Numéro Alien ID |
data.first_name | string | Prénom |
data.last_name | string | Nom de famille |
data.middle_name | string | Deuxième prénom |
data.date_of_birth | string | Date de naissance |
data.gender | string | Genre |
data.nationality | string | Nationalité |
{
"status": "success",
"data": {
"valid": true,
"id_number": "1000000",
"first_name": "JAMES",
"last_name": "KARIUKI",
"middle_name": "MWANGI",
"date_of_birth": "1990-04-15",
"gender": "Male",
"nationality": "Ugandan"
},
"message": "Alien ID details retrieved successfully"
}
400 Bad Request
{
"status": "failed",
"data": [],
"message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}

